Subject: cron: does not understand sat-sun

From: Derek Lee <[email-masked]>
Date: Sun, 16 Jun 1996 14:23:09 -0400

Hi,

Something funny happened to my cron utility recently. 

Cron stopped understanding the following crontab entry:
	12 14 * * sat-sun  cdplay >/dev/null 2>&1
It does however understand:
	12 14 * * 6-7  cdplay >/dev/null 2>&1
and
	12 14 * * sun  cdplay >/dev/null 2>&1

I also could not find any error messages (even if I leave out the
redirection to /dev/null). Syslogd captured the following:
Jun 16 14:12:00 boson /usr/sbin/cron[7602]: (derek) RELOAD (crontabs/derek)

This seems to coincide with my upgrading to v2.0 (which I built myself
using kernel-package-1.03). The package I use is
cron-3.0pl1-31.deb. (I removed and reinstalled the package but it does
not help.)

I have libc-5.2.18, and use bsdutil-3.0-2.deb package.

--Derek Lee